[Solved] your global angular cli version is greater than your local version

(Last Updated On: September 20, 2017)

[Solved] your global angular cli version is greater than your local version

Root cause:

If you have developed your angular-cli project in some version, say 1.0.3 in some machine and you are trying to build/compile in the other system which is having higher angular-cli version, say 1.4.2 then you will get this warning message
your global angular cli version is greater than your local version“.

 

But it is recommended to resolve this by installing npm with the below command to resolve this warning.

Run the below command in your project where you ran ng serve:

npm install –save-dev @angular/cli@latest

 

After running the above command run again ng serve now you will not get “your global angular cli version is greater than you local version” warning message, and also no other errors related different versions.

 

Thanks for reading!

785 total views, 4 views today

Leave a Reply

Your email address will not be published. Required fields are marked *